const _app = getApp<IAppOption>();

// pages/story/a.ts
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    show: {
      type: Boolean,
      value: false,
    },
    type: {
      type: Number,
      value: 0,
    },
    params: {
      type: Object,
      value: {},
    },
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    handleConform() {
      this.triggerEvent('conform');
    },
    handleClose() {
      this.triggerEvent('close');
    },
  },
});
